Invite
bearerAuthAuthorizationBearer <token>Bearer token authentication
application/json- body
role*stringThe role to give the invited user
email?string|array<string>tokenType?stringType of token tu use, 24 character token, 6 digit code or custom options.generateToken
"token""code""custom"redirectToSignUp?stringThe URL to redirect the user to create their account. If the token isn't valid or expired, it'll be redirected with a query parameter ?error=INVALID_TOKEN. If the token is valid, it'll be redirected with a query parameter `?token=VALID_TOKEN
redirectToSignIn?stringThe URL to redirect the user to upgrade their role.
maxUses?numberThe number of times an invitation can be used
expiresIn?numberNumber of seconds the invitation token is valid for.
redirectToAfterUpgrade?stringThe URL to redirect the user to after upgrade their role (if the user is already logged in)
shareInviterName?booleanWhether the inviter's name should be shared with the invitee
senderResponse?stringHow should the sender receive the token (sender only receives a token if no email is provided)
"token""url"senderResponseRedirect?stringWhere should we redirect the user? (only if no email is provided)
"signUp""signIn"customInviteUrl?stringThe user will be redirected here to activate their invite
Success
application/json- response
status?booleanmessage?stringcurl -X POST 'https://dev.auth.graphxserver.io/api/auth/invite/create' \ -H 'Content-Type: application/json' \ -d '{ "role": "string"}'{ "status": true, "message": "string"}bearerAuthAuthorizationBearer <token>Bearer token authentication
application/json- body
callbackURL?stringWhere to redirect the user after sing in/up
token*stringThe invite token
Invite activated successfully
application/json- response
status*booleanmessage*stringaction?stringredirectTo?stringcurl -X POST 'https://dev.auth.graphxserver.io/api/auth/invite/activate' \ -H 'Content-Type: application/json' \ -d '{ "token": "string"}'{ "status": true, "message": "string", "action": "string", "redirectTo": "string"}bearerAuthAuthorizationBearer <token>Bearer token authentication
token*stringThe invitation token
callbackURL*stringWhere to redirect the user after sing in/up
Redirects the user to the callback URL. On error, includes 'error' and 'message' query parameters.
curl -X GET 'https://dev.auth.graphxserver.io/api/auth/invite/string?callbackURL=string'bearerAuthAuthorizationBearer <token>Bearer token authentication
application/json- body
token*stringThe invite token to cancel.
Invite cancelled successfully
application/json- response
status*booleanmessage*stringcurl -X POST 'https://dev.auth.graphxserver.io/api/auth/invite/cancel' \ -H 'Content-Type: application/json' \ -d '{ "token": "string"}'{ "status": true, "message": "string"}bearerAuthAuthorizationBearer <token>Bearer token authentication
token?stringThe invite token to look up.
Invite found
application/json- response
status*booleaninviter*invitation*curl -X GET 'https://dev.auth.graphxserver.io/api/auth/invite/get'{ "status": true, "inviter": { "email": "string", "name": "string", "image": "string" }, "invitation": { "email": "string", "emails": null, "createdAt": "2019-08-24T14:15:22Z", "role": "string", "newAccount": true }}bearerAuthAuthorizationBearer <token>Bearer token authentication
application/json- body
token*stringThe invite token to reject.
Invite rejected successfully
application/json- response
status*booleanmessage*stringcurl -X POST 'https://dev.auth.graphxserver.io/api/auth/invite/reject' \ -H 'Content-Type: application/json' \ -d '{ "token": "string"}'{ "status": true, "message": "string"}bearerAuthAuthorizationBearer <token>Bearer token authentication
searchValue?stringThe value to search for.
searchField?stringThe field to search in, defaults to email. Can be email, name or domainWhitelist.
"name""email""domainWhitelist"searchOperator?stringThe operator to use for the search. Can be contains, starts_with or ends_with.
"contains""starts_with""ends_with"limit?numberThe numbers of invitations to return.
offset?numberThe offset to start from.
sortBy?stringThe field to sort by.
sortDirection?stringThe direction to sort by.
"asc""desc"filterField?stringThe field to filter by.
filterValue?||The value to filter by.
filterOperator?stringThe operator to use for the filter.
"eq""ne""lt""lte""gt""gte"List of all issued invitations
application/json- response
invitations?array<>total?numberlimit?number|undefinedoffset?number|undefinedcurl -X GET 'https://dev.auth.graphxserver.io/api/auth/invite/list'{ "invitations": [ {} ], "total": 0, "limit": 0, "offset": 0}